# Method: projects.locations.tableDataProfiles.list

- [HTTP request](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.locations.tableDataProfiles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.locations.tableDataProfiles/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.locations.tableDataProfiles/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.locations.tableDataProfiles/list#body.request_body)
- [Response body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.locations.tableDataProfiles/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.locations.tableDataProfiles/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.locations.tableDataProfiles/list#try-it)

Lists table data profiles for an organization.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="africa-south1">africa-south1</button> <button value="asia-east1">asia-east1</button> <button value="asia-east2">asia-east2</button> <button value="asia-northeast1">asia-northeast1</button> <button value="asia-northeast2">asia-northeast2</button> <button value="asia-northeast3">asia-northeast3</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="asia-southeast1">asia-southeast1</button> <button value="asia-southeast2">asia-southeast2</button> <button value="australia-southeast1">australia-southeast1</button> <button value="australia-southeast2">australia-southeast2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-north2">europe-north2</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west6">europe-west6</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="me-central1">me-central1</button> <button value="me-central2">me-central2</button> <button value="me-west1">me-west1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="northamerica-south1">northamerica-south1</button> <button value="southamerica-east1">southamerica-east1</button> <button value="southamerica-west1">southamerica-west1</button> <button value="us-central1">us-central1</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="us">us</button> <button value="eu">eu</button> <button value="in">in</button>   
`GET https://dlp.googleapis.com/v2/{parent=projects/*/locations/*}/tableDataProfiles`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the organization or project, for example `organizations/433245324/locations/europe` or `projects/project-id/locations/asia`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dlp.tableDataProfiles.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` Page token to continue retrieval. |
| `pageSize` | `integer` Size of the page. This value can be limited by the server. If zero, server returns a page of max size 100. |
| `orderBy` | `string` Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Only one order field at a time is allowed. Examples: \* `project_id asc` \* `table_id` \* `sensitivity_level desc` Supported fields are: - `project_id`: The Google Cloud project ID. - `dataset_id`: The ID of a BigQuery dataset. - `table_id`: The ID of a BigQuery table. - `sensitivity_level`: How sensitive the data in a table is, at most. - `data_risk_level`: How much risk is associated with this data. - `profile_last_generated`: When the profile was last updated in epoch seconds. - `last_modified`: The last time the resource was modified. - `resource_visibility`: Visibility restriction for this resource. - `row_count`: Number of rows in this resource. |
| `filter` | `string` Allows filtering. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `{field} {operator} {value}`. - Supported fields: - `project_id`: The Google Cloud project ID - `dataset_id`: The BigQuery dataset ID - `table_id`: The ID of the BigQuery table - `sensitivity_level`: HIGH\|MODERATE\|LOW - `data_risk_level`: HIGH\|MODERATE\|LOW - `resource_visibility`: PUBLIC\|RESTRICTED - `status_code`: an RPC status code as defined in <https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto> - `profile_last_generated`: Date and time the profile was last generated - The operator must be `=` or `!=`. The `profile_last_generated` filter also supports `<` and `>`. The syntax is based on <https://google.aip.dev/160>. Examples: - `project_id = 12345 AND status_code = 1` - `project_id = 12345 AND sensitivity_level = HIGH` - `project_id = 12345 AND resource_visibility = PUBLIC` - `profile_last_generated < "2025-01-01T00:00:00.000Z"` The length of this field should be no more than 500 characters. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/ListTableDataProfilesResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).